libqt5pas1_2.6~beta-4_i386.deb


Advertisement

Description

libqt5pas1 - Qt5 interface bindings for Pascal

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqt5pas1
Package version 2.6~beta
Package release 4
Package architecture i386
Package type deb
Installed size 3.09 KB
Download size 513.80 KB
Official Mirror archive.ubuntu.com
Provides interface for Pascal applications
to the Qt5 C++ libraries.
This binding does not cover the whole Qt5 framework, it
just contains all classes needed to use Qt as a widgetset.

Alternatives

Package Version Architecture Repository
libqt5pas1_2.6~beta-4_amd64.deb 2.6~beta amd64 Ubuntu Universe
libqt5pas1 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libqt5core5a >= 5.7.0
libqt5gui5 >= 5.6.0~beta
libqt5gui5-gles >= 5.6.0~beta
libqt5network5 >= 5.6.0~beta
libqt5printsupport5 >= 5.2.0
libqt5widgets5 >= 5.6.0~beta
libqt5x11extras5 >= 5.6.0
libstdc++6 >= 5

Download

Type URL
Binary Package libqt5pas1_2.6~beta-4_i386.deb
Source Package libqtpas

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5pas1 deb package:
    # sudo apt-get install libqt5pas1

Files

Path
/usr/lib/i386-linux-gnu/libQt5Pas.so.1
/usr/lib/i386-linux-gnu/libQt5Pas.so.1.2
/usr/lib/i386-linux-gnu/libQt5Pas.so.1.2.6
/usr/share/doc/libqt5pas1/changelog.Debian.gz
/usr/share/doc/libqt5pas1/copyright

Changelog

2017-08-05 - Paul Gevers <elbrus@debian.org>
libqtpas (2.6~beta-4) unstable; urgency=medium
* Drop d/watch as it is now distributed inside the lazarus tar ball
* Update symbols file for GCC 7 (Closes: #853505)
2017-07-10 - Paul Gevers <elbrus@debian.org>
libqtpas (2.6~beta-3) unstable; urgency=medium
* Upload to unstable
* Invert arch logic for one symbol in the symbols file
* Bump standards version to 4.0.0 (no changes)
2017-06-08 - Paul Gevers <elbrus@debian.org>
libqtpas (2.6~beta-2) experimental; urgency=medium
* Patch code with changes from lazarus 1.8~rc2
* Update Ċ½eljan's name in d/copyright
2017-05-24 - Paul Gevers <elbrus@debian.org>
libqtpas (2.6~beta-1) experimental; urgency=medium
* Team upload
* Package new release from the qt5/cbindings tree from the 1.8~rc1
release of lazarus
* Refresh patches (drop one applied upstream)
* Convert d/copyright to machine readable format
* Update symbols file (some are actually dropped)
2016-11-23 - Paul Gevers <elbrus@debian.org>
libqtpas (2.6~alpha-1) experimental; urgency=medium
* Team upload
* Package upstream 2.6Alpha (Closes: #784493)
- soname bump, so create new binary packages
- Update copyright (years)
* Refresh patch
* Add find_QtPrintSupport.patch to add printsupport to the include path
to prevent FTBFS
* Update watch file
* Bump debhelper compat level to 10
* Enable hardening
* Change build-depends from fpc to fp-units-rtl as that is lighter and
serves the same purpose (prevent building on non-fpc supported arches)
2016-08-31 - Matthias Klumpp <mak@debian.org>
libqtpas (2.5-18) unstable; urgency=medium
* Update .symbols file again, this time for armel
- This is getting ridiculous - future versions of this library
should compile with default-hidden symbol visibility and mark
symbols that are actually supposed to be used by the library
users as visible explicitly.
2016-08-10 - Matthias Klumpp <mak@debian.org>
libqtpas (2.5-17) unstable; urgency=medium
* Compile with inlines-hidden
* Update symbols file for GCC 6 (Closes: #811965)
2016-06-30 - Matthias Klumpp <mak@debian.org>
libqtpas (2.5-16) unstable; urgency=medium
* Transfer package to Pascal packaging team
* Bump standards version: No changes needed
* Rename source package to a more generic name
- Pick "libqtpas" instead of the more upstream-ish "qtpas", to avoid
confusion with the "qtpass" package.
* Use secure Vcs-* URLs
2016-02-10 - Matthias Klumpp <mak@debian.org>
libqt4pas (2.5-15) unstable; urgency=medium
* Update symbols file (Closes: #804304)
- Fixes build on ppc64 and arm64
2015-08-08 - Matthias Klumpp <mak@debian.org>
libqt4pas (2.5-14) unstable; urgency=medium
* Update symbols file

See Also

Package Description
libqt5positioning5-plugins_5.9.5+dfsg-0ubuntu2_i386.deb Qt Positioning module - position plugins
libqt5positioning5_5.9.5+dfsg-0ubuntu2_i386.deb Qt Positioning module
libqt5qevercloud3_3.0.3+ds-3_i386.deb Unofficial Evernote Cloud API library for Qt5
libqt5qml5_5.9.5-0ubuntu1_i386.deb Qt 5 QML module
libqt5quick5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick library
libqt5quickcontrols2-5_5.9.5-0ubuntu2_i386.deb Qt 5 Quick Controls 2 library
libqt5quickparticles5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick particles module
libqt5quicktemplates2-5_5.9.5-0ubuntu2_i386.deb Qt 5 Quick Templates 2 library
libqt5quicktest5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick Test library
libqt5quickwidgets5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick Widgets library
libqt5scintilla2-designer_2.10.2+dfsg-4_all.deb Qt5 Designer plugin for QScintilla 2 (Transitional package)
libqt5script5_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 script module
libqt5scripttools5_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 script tools module
libqt5sensors5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 Sensors development files
libqt5sensors5_5.9.5-0ubuntu1_i386.deb Qt Sensors module
Advertisement
Advertisement